org.codehaus.classworlds

## Class Configurator

- java.lang.Object
- - org.codehaus.classworlds.Configurator

Direct Known Subclasses:
  ConfiguratorAdapter

    public class Configurator
    extends Object

A compatibility wrapper for org.codehaus.plexus.classworlds.launcher.Configurator provided for legacy code

Author:
  Andrew Williams

### Constructor Summary

Constructors
Constructor and Description
`Configurator(ClassWorld world)` Construct.
`Configurator(Launcher launcher)` Construct.

### Method Summary

Methods
`protected void` `associateRealms()` Associate parent realms with their children.
`void` `configure(InputStream is)` Configure from a file.
`protected String` `filter(String text)` Filter a string for system properties.
`protected void` `loadGlob(String line, ClassRealm realm)` Load a glob into the specified classloader.
`protected void` `loadGlob(String line, ClassRealm realm, boolean optionally)` Load a glob into the specified classloader.
`void` `setClassWorld(ClassWorld world)` set world.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Configurator

    public Configurator(Launcher launcher)

Construct.

Parameters:
  `launcher` - The launcher to configure.

#### Configurator

    public Configurator(ClassWorld world)

Construct.

Parameters:
  `world` - The classWorld to configure.

### Method Detail

#### setClassWorld

    public void setClassWorld(ClassWorld world)

set world. this setter is provided so you can use the same configurator to configure several "worlds"

Parameters:
  `world` - The classWorld to configure.

#### configure

    public void configure(InputStream is)
                   throws IOException,
                          MalformedURLException,
                          ConfigurationException,
                          DuplicateRealmException,
                          NoSuchRealmException

Configure from a file.

Parameters:
  `is` - The config input stream
Throws:
  `IOException` - If an error occurs reading the config file.
  `MalformedURLException` - If the config file contains invalid URLs.
  `ConfigurationException` - If the config file is corrupt.
  `DuplicateRealmException` - If the config file defines two realms with the same id.
  `NoSuchRealmException` - If the config file defines a main entry point in a non-existent realm.

#### associateRealms

    protected void associateRealms()

Associate parent realms with their children.

#### loadGlob

    protected void loadGlob(String line,
                ClassRealm realm)
                     throws MalformedURLException,
                            FileNotFoundException

Load a glob into the specified classloader.

Parameters:
  `line` - The path configuration line.
  `realm` - The realm to populate
Throws:
  `MalformedURLException` - If the line does not represent a valid path element.
  `FileNotFoundException` - If the line does not represent a valid path element in the filesystem.

#### loadGlob

    protected void loadGlob(String line,
                ClassRealm realm,
                boolean optionally)
                     throws MalformedURLException,
                            FileNotFoundException

Load a glob into the specified classloader.

Parameters:
  `line` - The path configuration line.
  `realm` - The realm to populate
  `optionally` - Whether the path is optional or required
Throws:
  `MalformedURLException` - If the line does not represent a valid path element.
  `FileNotFoundException` - If the line does not represent a valid path element in the filesystem.

#### filter

    protected String filter(String text)
                     throws ConfigurationException

Filter a string for system properties.

Parameters:
  `text` - The text to filter.
Returns:
  The filtered text.
Throws:
  `ConfigurationException` - If the property does not exist or if there is a syntax error.